JailbreakMe 2.0 dose this work?

Discussion in 'Jailbreaks and iOS Hacks' started by Raishi, Aug 9, 2010.

  1. Raishi macrumors member

    Joined:
    Jul 22, 2010
    #1
    Hey I was looking around and people have pointed to "JailbreakMe 2.0" for 4.0.1 Jailbreaking. and no one has given me a reliable answer as to whether or not this means before or after updating to 4.0.1.

    on the website http://hackulo.us/forums/ it states on august first. it came out. (after my first initial search and received answer of 4.0.1 users have to wait a bit.)

    and then clicking on the link given (bringing me to: http://www.jailbreakme.com/faq.html)

    it says:

    "Firstly, don't update past 4.0.1, the last firmware JailbreakMe supports." <- which sounds to me like its implying 4.0.1 will work.

    So now after you all respond to weather it works or not I have to ask...
    Is it safe, or could this ruin my Iphone 3GS with 4.0.1?

    (and I don't know what Cydia is exactly... I'm going to assume its a cracked thing which to my understanding is not allowed to be discussed about. So just as a... Disclaimer for lack of a better term, I'm posting these links and asking my questions regarding the jailbreak.)
     
  2. appleguy123 macrumors 603

    appleguy123

    Joined:
    Apr 1, 2009
    Location:
    15 minutes in the future
    #2
    It works with 4.01. It's telling you to not update to any developer betas.
     
  3. Raishi thread starter macrumors member

    Joined:
    Jul 22, 2010
    #3
    Excited verification: So dose this mean I can jailbreak my Iphone 3GS Right =D?
     
  4. thelatinist macrumors 603

    thelatinist

    Joined:
    Aug 15, 2009
    Location:
    Connecticut, USA
    #4
    If your phone is activated, you can jailbreak it. Any phone, and version of iOS from 3.0 through 4.0.1.
     
  5. Raishi thread starter macrumors member

    Joined:
    Jul 22, 2010
    #5
    Activated? I do have Rogers if that is what you mean?

    and is there any real risk of damage to my Iphone?
     
  6. The General macrumors 601

    Joined:
    Jul 7, 2006
    #6
    If you are able to use Safari on your iPhone and you have any firmware between 3.0 and 4.0.1, you can jailbreak it.

    No risk of damaging your hardware, DFU restore will fix any software problem.
     
  7. wolfgang666 macrumors regular

    Joined:
    May 6, 2010
    #7
    there is no risk of damage to the iphone..
    but since this jailbreak has been out there have been a lot of concerns over the security implementations..
    so do make sure to download "PDF Loading Warner" from cydia..
     

Share This Page